Summary: PBXtra Core
Name: pbxtra-core
Distribution: RedHat
Version: fon_o_1.2.17
Release: 5
Copyright: Linux Support Services, inc.
Group: Utilities/System
Vendor: Fonality
Packager: Greg Colburn <gcolburn@fonality.com>
BuildRoot: /tmp/asterisk
Source:  /usr/src/redhat/SOURCES/pbxtra-core-fon_o_1.2.17.tar.gz

Requires:	libpri
Requires:	zaptel
Requires:	zaptel-devel
Requires:	libidn
Requires:	libidn-devel
Obsoletes:	pbxtra-core = 1.2.17_fon_o_beta2
Obsoletes:	pbxtra-core = 1.2.17_fon_p

%description
IP PBX by Fonality

%pre
if [ -e /etc/init.d/asterisk ]; then
	/etc/init.d/asterisk stop
fi

if [ -e /usr/lib/asterisk/modules/codec_g729a.so ]; then
	mkdir -p /tmp/g729
	cp /usr/lib/asterisk/modules/codec_g729a.so /tmp/g729/.
	cp /var/lib/asterisk/licenses/G729-*.lic /tmp/g729/.
fi

if [ -d /usr/lib/asterisk/modules ]; then
	pushd /usr/lib/asterisk
	tar cvf modules.tar ./modules
	rm -rf modules
	popd
fi

%post
ln -sf /var/spool/asterisk/voicemail/default /var/spool/asterisk/vm
ln -sf /var/spool/asterisk/vm /var/lib/asterisk/sounds/vm

if [ -d /tmp/g729 ]; then
	cp /tmp/g729/codec_g729a.so /usr/lib/asterisk/modules/codec_g729a.so
	cp /tmp/g729/G729-*.lic /var/lib/asterisk/licenses/.
	chown nobody /var/lib/asterisk/licenses/G729-*.lic
	rm -rf /tmp/g729
fi

if [ -d /etc/asterisk/modules.conf ]; then
	/usr/bin/perl -pi -e 's/^load => chan_modem.so/noload => chan_modem.so/' /etc/asterisk/modules.conf
fi

if [ -e /etc/init.d/asterisk ]; then
	/etc/init.d/asterisk start
fi

%preun
if [ -e /etc/init.d/asterisk ]; then
	/etc/init.d/asterisk stop
fi

%postun

%files
#
# Configuration files
#
%attr(0755,nobody,nobody) %dir    /etc/asterisk
# Skip samples
#%config(noreplace) %attr(0640,nobody,nobody) /etc/asterisk/*.conf
#%config(noreplace) %attr(0640,nobody,nobody) /etc/asterisk/*.adsi
#%config(noreplace) %attr(0640,nobody,nobody) /etc/asterisk/extensions.ael

#
# RedHat specific init script file
#
%attr(0755,root,root)       /etc/rc.d/init.d/asterisk

#
# Modules
#
%attr(0755,root,root) %dir /usr/lib/asterisk
%attr(0755,root,root) %dir /usr/lib/asterisk/modules
%attr(0755,root,root)      /usr/lib/asterisk/modules/*.so

#
# Asterisk
#
%attr(0755,root,root)      /usr/sbin/asterisk
%attr(0755,root,root)      /usr/sbin/safe_asterisk
%attr(0755,root,root)      /usr/sbin/astgenkey
%attr(0755,root,root)      /usr/sbin/astman
%attr(0755,root,root)      /usr/sbin/autosupport
%attr(0755,root,root)      /usr/sbin/smsq
%attr(0755,root,root)      /usr/sbin/stereorize
%attr(0755,root,root)      /usr/sbin/streamplayer

#
# CDR Locations
#
%attr(0755,nobody,root) %dir /var/log/asterisk
%attr(0755,nobody,root) %dir /var/log/asterisk/cdr-csv
#
# Running directories
#
# This line is bad bad bad
#%attr(0755,root,root) %dir /var/run
#
# Sound files
#
%attr(0755,nobody,root) %dir /var/lib/asterisk
%attr(0755,nobody,root) %dir /var/lib/asterisk/sounds
%attr(0644,nobody,root)      /var/lib/asterisk/sounds/*.gsm
%attr(0755,nobody,root) %dir /var/lib/asterisk/sounds/dictate
%attr(0644,nobody,root)      /var/lib/asterisk/sounds/dictate/*.gsm
%attr(0755,nobody,root) %dir /var/lib/asterisk/sounds/digits
%attr(0644,nobody,root)      /var/lib/asterisk/sounds/digits/*.gsm
%attr(0755,nobody,root) %dir /var/lib/asterisk/sounds/letters
%attr(0644,nobody,root)      /var/lib/asterisk/sounds/letters/*.gsm
%attr(0755,nobody,root) %dir /var/lib/asterisk/sounds/phonetic
%attr(0644,nobody,root)      /var/lib/asterisk/sounds/phonetic/*.gsm
%attr(0755,nobody,root) %dir /var/lib/asterisk/sounds/silence
%attr(0644,nobody,root)      /var/lib/asterisk/sounds/silence/*.gsm
# Skip samples
#%attr(0755,nobody,root) %dir /var/lib/asterisk/mohmp3
#%attr(0644,nobody,root)      /var/lib/asterisk/mohmp3/*
%attr(0755,nobody,root) %dir /var/lib/asterisk/images
%attr(0644,nobody,root)      /var/lib/asterisk/images/*
%attr(0755,nobody,root) %dir /var/lib/asterisk/keys
%attr(0644,nobody,root)      /var/lib/asterisk/keys/*
%attr(0755,nobody,root) %dir /var/lib/asterisk/agi-bin
%attr(0755,nobody,root) %dir /var/lib/asterisk/agi-bin/*
#
# Man page
#
%attr(0644,root,root)      /usr/share/man/man8/asterisk.8
%attr(0644,root,root)      /usr/share/man/man8/astgenkey.8
%attr(0644,root,root)      /usr/share/man/man8/autosupport.8
%attr(0644,root,root)      /usr/share/man/man8/safe_asterisk.8

#
# Firmware
#
%attr(0755,nobody,root) %dir /var/lib/asterisk/firmware
%attr(0755,nobody,root) %dir /var/lib/asterisk/firmware/iax
%attr(0755,nobody,root)      /var/lib/asterisk/firmware/iax/*.bin

#
# Example voicemail files
#
# Skip samples
%attr(0755,nobody,root) %dir /var/spool/asterisk
%attr(0755,nobody,root) %dir /var/spool/asterisk/voicemail
%attr(0755,nobody,root) %dir /var/spool/asterisk/voicemail/default

#
# Misc other spool
#
%attr(0755,nobody,root) %dir /var/spool/asterisk/system
%attr(0755,nobody,root) %dir /var/spool/asterisk/tmp

#
# Include files
#
%attr(0755,root,root) %dir %{_includedir}/asterisk
%attr(0644,root,root) %{_includedir}/asterisk/*.h
